com.google.cloud.dataflow.sdk.runners

## Class RecordingPipelineVisitor

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.RecordingPipelineVisitor

All Implemented Interfaces:
  Pipeline.PipelineVisitor

    public class RecordingPipelineVisitor
    extends Object
    implements Pipeline.PipelineVisitor

Provides a simple `Pipeline.PipelineVisitor` that records the transformation tree.

Provided for internal unit tests.

### Field Summary

Fields
`List<PTransform<?,?>>` `transforms`
`List<PValue>` `values`

### Constructor Summary

Constructors
Constructor and Description
`RecordingPipelineVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enterCompositeTransform(TransformTreeNode node)` Called for each composite transform after all topological predecessors have been visited but before any of its component transforms.
`void` `leaveCompositeTransform(TransformTreeNode node)` Called for each composite transform after all of its component transforms and their outputs have been visited.
`void` `visitTransform(TransformTreeNode node)` Called for each primitive transform after all of its topological predecessors and inputs have been visited.
`void` `visitValue(PValue value, TransformTreeNode producer)` Called for each value after the transform that produced the value has been visited.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### transforms

    public final List<PTransform<?,?>> transforms

#### values

    public final List<PValue> values

### Constructor Detail

#### RecordingPipelineVisitor

    public RecordingPipelineVisitor()

### Method Detail

#### enterCompositeTransform

    public void enterCompositeTransform(TransformTreeNode node)

Description copied from interface: `Pipeline.PipelineVisitor`
Called for each composite transform after all topological predecessors have been visited but before any of its component transforms.

Specified by:
  `enterCompositeTransform` in interface `Pipeline.PipelineVisitor`

#### leaveCompositeTransform

    public void leaveCompositeTransform(TransformTreeNode node)

Description copied from interface: `Pipeline.PipelineVisitor`
Called for each composite transform after all of its component transforms and their outputs have been visited.

Specified by:
  `leaveCompositeTransform` in interface `Pipeline.PipelineVisitor`

#### visitTransform

    public void visitTransform(TransformTreeNode node)

Description copied from interface: `Pipeline.PipelineVisitor`
Called for each primitive transform after all of its topological predecessors and inputs have been visited.

Specified by:
  `visitTransform` in interface `Pipeline.PipelineVisitor`

#### visitValue

    public void visitValue(PValue value,
                           TransformTreeNode producer)

Description copied from interface: `Pipeline.PipelineVisitor`
Called for each value after the transform that produced the value has been visited.

Specified by:
  `visitValue` in interface `Pipeline.PipelineVisitor`